# FIXME, HELPWANTED: No debuginfo
%global debug_package %{nil}

%global cfgfile %{_datadir}/%{name}/%{name}

Name:           boxes
Version:        1.3
Release:        1%{?dist}
Summary:        Draw any kind of box around some given text

License:        GPLv2+
URL:            http://boxes.thomasjensen.com
Source0:        https://github.com/ascii-%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         boxes-cflags.patch

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc
%if 0%{?fedora} || 0%{?rhel} >= 8
Recommends:     %{name}-vim = %{version}-%{release}
%endif

%description
"boxes" is a text filter which can draw ASCII art boxes around its input text.
These boxes may also be removed, even if they have been badly damaged by editing
of the text inside. Since boxes may be open on any side, boxes can also be used
to create regional comments in any programming language. With the help of an
editor macro or mapping, damaged boxes can easily be repaired. This is useful
for making the function headers in your programming language look better, for
spicing up your news postings and emails, or just for decorating your
documentation files.  New box designs of all sorts can easily be added and
shared by appending to a free format configuration file. boxes was intended to
be used with the vim(1) text editor, but can be tied to any text editor which
supports filters.


%package        vim
BuildArch:      noarch

Summary:        Vim plugin for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       vim-enhanced

%description    vim
Vim plugin for %{name}.


%prep
%autosetup -p1


%build
%make_build GLOBALCONF=%{cfgfile} CFLAGS_ADTL='%{optflags}'
%make_build test


%install
install -Dpm0755 src/%{name}    %{buildroot}%{_bindir}/%{name}
install -Dpm0644 %{name}-config %{buildroot}%{cfgfile}
install -Dpm0644 doc/%{name}.1  %{buildroot}%{_mandir}/man1/%{name}.1
install -Dpm0644 %{name}.vim    %{buildroot}%{_datadir}/vim/vimfiles/plugin/%{name}.vim


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*.1.*

%files vim
%{_datadir}/vim/vimfiles/plugin/%{name}.vim


%changelog
* Sat Sep 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3-1
- Update to 1.3

* Mon Jun 30 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1.1.1-4
- Fix race condition in parallel make (#1106015)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Dec  3 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.1.1-2
- Fix -Wformat-security compilation warning

* Wed Jul 31 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.1.1-1
- New upstream release 1.1.1

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 10 2008 Jakub Hrozek <jhrozek@redhat.com> - 1.1-6
- bump release

* Sun Feb 10 2008 Jakub Hrozek <jhrozek@redhat.com> - 1.1-5
- rebuild for GCC 4.3

* Wed Jan 09 2008 Jakub Hrozek <jhrozek@redhat.com> - 1.1-4
- fix the license tag from GPL2 to GPL2+

* Sat Oct 13 2007 Jakub Hrozek <jhrozek@redhat.com> - 1.1-3
- More packaging fixes spotted in review (292121), especially:
- remove slashes between macros and buildroot
- set default permissions for directories in defattr
- fix whitespace change in the patch, rename for clarity
- drop the emacs helper

* Sun Sep 30 2007 Jakub Hrozek <jhrozek@redhat.com> - 1.1-2
- Fix packaging mistakes spotted in the review request, namely:
- patch makefile so that optflags are passed
- use macro for the boxfile location as it's used frequently
- fix rpmlint
- package emacs helper

* Sat Sep 15 2007 Jakub Hrozek <jhrozek@redhat.com> - 1.1-1
- initial packaging
